Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class OWL

    java.lang.Object
      com.hp.hpl.jena.vocabulary.OWL

    public class OWL

extends java.lang.Object

Vocabulary definitions from file:vocabularies/owl.owl

Author:
  Auto-generated by jena.schemagen on 13 Aug 2004 15:35

Field Summary
`static Resource` | `AllDifferent`
`static Property` | `allValuesFrom`
`static Resource` | `AnnotationProperty`
`static Property` | `backwardCompatibleWith`
`static Property` | `cardinality`
`static Resource` | `Class`
`static Property` | `complementOf`
`static Resource` | `DataRange`
`static Resource` | `DatatypeProperty`
`static Resource` | `DeprecatedClass`
`static Resource` | `DeprecatedProperty`
`static Property` | `differentFrom`
`static Property` | `disjointWith`
`static Property` | `distinctMembers`
`static Resource` | `DL_LANG` A resource, not officially sanctioned by WebOnt, that denotes the OWL-DL sublanguage of OWL
`static Property` | `equivalentClass`
`static Property` | `equivalentProperty`
`static Resource` | `FULL_LANG` A resource that denotes the OWL-full sublanguage of OWL
`static Resource` | `FunctionalProperty`
`static Property` | `hasValue`
`static Property` | `imports`
`static Property` | `incompatibleWith`
`static Property` | `intersectionOf`
`static Resource` | `InverseFunctionalProperty`
`static Property` | `inverseOf`
`static Resource` | `LITE_LANG` A resource, not officially sanctioned by WebOnt, that denotes the OWL-Lite sublanguage of OWL
`static Property` | `maxCardinality`
`static Property` | `minCardinality`
`static Resource` | `NAMESPACE` The namespace of the vocabulary as a resource
`static Resource` | `Nothing`
`static java.lang.String` | `NS` The namespace of the vocabulary as a string ("http://www.w3.org/2002/07/owl#")
`static Resource` | `ObjectProperty`
`static Property` | `oneOf`
`static Property` | `onProperty`
`static Resource` | `Ontology`
`static Resource` | `OntologyProperty`
`static Property` | `priorVersion`
`static Resource` | `Restriction`
`static Property` | `sameAs`
`static Property` | `someValuesFrom`
`static Resource` | `SymmetricProperty`
`static Resource` | `Thing`
`static Resource` | `TransitiveProperty`
`static Property` | `unionOf`
`static Property` | `versionInfo`

Constructor Summary
`OWL()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabulary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabulary as a string ("http://www.w3.org/2002/07/owl#")

  See Also:
    Constant Field Values

### NAMESPACE

    public static final Resource NAMESPACE

  The namespace of the vocabulary as a resource

### FULL_LANG

    public static final Resource FULL_LANG

  A resource that denotes the OWL-full sublanguage of OWL

### DL_LANG

    public static final Resource DL_LANG

  A resource, not officially sanctioned by WebOnt, that denotes the OWL-DL sublanguage of OWL

### LITE_LANG

    public static final Resource LITE_LANG

  A resource, not officially sanctioned by WebOnt, that denotes the OWL-Lite sublanguage of OWL

### maxCardinality

    public static final Property maxCardinality

### versionInfo

    public static final Property versionInfo

### equivalentClass

    public static final Property equivalentClass

### distinctMembers

    public static final Property distinctMembers

### oneOf

    public static final Property oneOf

### sameAs

    public static final Property sameAs

### incompatibleWith

    public static final Property incompatibleWith

### minCardinality

    public static final Property minCardinality

### complementOf

    public static final Property complementOf

### onProperty

    public static final Property onProperty

### equivalentProperty

    public static final Property equivalentProperty

### inverseOf

    public static final Property inverseOf

### backwardCompatibleWith

    public static final Property backwardCompatibleWith

### differentFrom

    public static final Property differentFrom

### priorVersion

    public static final Property priorVersion

### imports

    public static final Property imports

### allValuesFrom

    public static final Property allValuesFrom

### unionOf

    public static final Property unionOf

### hasValue

    public static final Property hasValue

### someValuesFrom

    public static final Property someValuesFrom

### disjointWith

    public static final Property disjointWith

### cardinality

    public static final Property cardinality

### intersectionOf

    public static final Property intersectionOf

### Thing

    public static final Resource Thing

### DataRange

    public static final Resource DataRange

### Ontology

    public static final Resource Ontology

### DeprecatedClass

    public static final Resource DeprecatedClass

### AllDifferent

    public static final Resource AllDifferent

### DatatypeProperty

    public static final Resource DatatypeProperty

### SymmetricProperty

    public static final Resource SymmetricProperty

### TransitiveProperty

    public static final Resource TransitiveProperty

### DeprecatedProperty

    public static final Resource DeprecatedProperty

### AnnotationProperty

    public static final Resource AnnotationProperty

### Restriction

    public static final Resource Restriction

### Class

    public static final Resource Class

### OntologyProperty

    public static final Resource OntologyProperty

### ObjectProperty

    public static final Resource ObjectProperty

### FunctionalProperty

    public static final Resource FunctionalProperty

### InverseFunctionalProperty

    public static final Resource InverseFunctionalProperty

### Nothing

    public static final Resource Nothing

Constructor Detail

### OWL

    public OWL()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabulary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP